import { type DomainEvent } from '@modules/shared';

export class ListingFeaturedExpiredEvent implements DomainEvent {
  readonly eventName = 'listing.featured_expired';
  readonly occurredAt = new Date();

  constructor(
    public readonly aggregateId: string,
    public readonly expiredAt: Date,
  ) {}
}
